package com.cf.imes.module.system.validation.token;


import cn.hutool.core.util.ObjectUtil;
import com.cf.imes.module.system.enums.token.TokenConfigAppTypeEnum;

import jakarta.validation.ConstraintValidator;
import jakarta.validation.ConstraintValidatorContext;

/**
 * @author token配置管理应用类型校验器
 */
public class TokenConfigAppTypeEnumValidator implements ConstraintValidator<TokenConfigAppTypeEnumValid, Integer> {

    @Override
    public void initialize(TokenConfigAppTypeEnumValid constraintAnnotation) {
        ConstraintValidator.super.initialize(constraintAnnotation);
    }

    @Override
    public boolean isValid(Integer value, ConstraintValidatorContext context) {
        if (ObjectUtil.isNull(value)) {
            return true;
        }
        TokenConfigAppTypeEnum configTypeEnum = TokenConfigAppTypeEnum.fromType(value);
        if (ObjectUtil.isNotNull(configTypeEnum)) {
            return true;
        }
        return false;
    }
}
